be.ehealth.businessconnector.mycarenet.attest.builders

## Interface RequestObjectBuilder

- All Known Implementing Classes:
    RequestObjectBuilderImpl

      public interface RequestObjectBuilder

  Provides method(s) to create an eAttest WS request. Default impl : `ResponseObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttestBuilderRequest` | `buildSendAttestationRequest(boolean isTest, InputReference references, Ssin ssin, org.joda.time.DateTime referenceDate, Kmehrmessage kmehrmessage)` Creates the SendAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

- - ### Method Detail

    - #### buildSendAttestationRequest

          AttestBuilderRequest buildSendAttestationRequest(boolean isTest,
                                                           InputReference references,
                                                           Ssin ssin,
                                                           org.joda.time.DateTime referenceDate,
                                                           Kmehrmessage kmehrmessage)
                                                    throws TechnicalConnectorException,
                                                           AttestBusinessConnectorException,
                                                           JAXBException,
                                                           TransformerException,
                                                           UnsupportedEncodingException

      Creates the SendAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD
      Parameters:
        `isTest` - indicates if this is a test or not
        `ssin` - the ssin of the the patient
        `referenceDate` - the reference date
        `kmehrmessage` - the kmehr message specifying the attestation to send
      Returns:
        a wrapper containing the valid request that will be sent to the WS and the SendTransactionRequest before encryption
      Throws:
        `InstantiationException`
        `AttestBusinessConnectorException`
        `TechnicalConnectorException`
        `JAXBException`
        `TransformerException`
        `UnsupportedEncodingException`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.